<div class="flex flex-layout-v">

    <MY-TABS my-tabs-tabs="::VM.sections"
             my-tabs-model="questions.formsection"
             my-tabs-disabled="::VM.shouldDisableElement(_param)"
             class="card-content"
    ></MY-TABS>

    <form class="flex flex-layout-v">
        <!-- === GENERAL INFO === -->
        <div ng-show="VM.shouldShowSection('general')"
             class="flex flex-layout scrollable-pane"
        >
            <div class="flex card-content card-content-last padded-pane flex-layout">
                <!-- === TOP PANE === -->
                <div class="flex flex-layout-v">
                    <div class="flex-layout-h">
                        <MY-INPUT my-input-type="text"
                                  my-input-model="VM.question.titulo"
                                  my-input-label="TITLE"
                                  class="flex"
                        ></MY-INPUT>
                        <!-- === ATTACHMENT === -->
                        <MY-INPUT-GROUP my-input-group-label="ATTACHMENT"
                                        style="margin-left: 15px; width:250px;"
                        >
                            <div class="form-control field-upload">
                                <div class="field-upload-extension">
                                    <span ng-if="VM.question.extensionAdjunto">{{ 'HASFILE' | translate:{ext: VM.question.extensionAdjunto} }}</span>
                                </div>
                                <div class="field-upload-actions">
                                    <button type="button"
                                            ng-show="VM.question.extensionAdjunto"
                                            ng-click="VM.viewAttachment()"
                                            class="btn btn-default btn-round-sm fa fa-eye"
                                            title="{{'VIEW'|translate}}"
                                    ></button>
                                    <button type="button"
                                            ng-show="VM.question.extensionAdjunto"
                                            class="btn btn-default btn-round-sm fa fa-trash"
                                            title="{{'DELETE'|translate}}"
                                    ></button>
                                    <button type="button"
                                            class="btn btn-default btn-round-sm fa fa-upload"
                                            title="{{'BROWSE'|translate}}"
                                    ></button>
                                </div>
                            </div>
                        </MY-INPUT-GROUP>
                    </div>
                    <!-- === WORDING === -->
                    <MY-INPUT-GROUP id="question-wording"
                                    my-input-group-label="WORDING"
                                    my-input-group-label-for="input-wording"
                                    class="flex flex-layout"
                    >
                        <div class="flex flex-layout-h">
                            <div class="flex flex-layout">
                                <textarea id="input-wording"
                                          ng-if="VM.shouldShowWording('ca')"
                                          ng-model="VM.question.enunciado"
                                          class="form-control code flex"
                                ></textarea>
                                <textarea id="input-wording"
                                          ng-if="VM.shouldShowWording('es')"
                                          ng-model="VM.question.enunciadoEsp"
                                          class="form-control code flex"
                                ></textarea>
                                <textarea id="input-wording"
                                          ng-if="VM.shouldShowWording('en')"
                                          ng-model="VM.question.enunciadoIng"
                                          class="form-control code flex"
                                ></textarea>
                            </div>
                            <div>
                                <div class="textarea-langs">
                                    <button ng-click="VM.showWording('ca')"
                                            ng-class="{active: VM.shouldShowWording('ca')}"
                                    >Català</button>
                                    <button ng-click="VM.showWording('es')"
                                            ng-class="{active: VM.shouldShowWording('es')}"
                                    >Castellano</button>
                                    <button ng-click="VM.showWording('en')"
                                            ng-class="{active: VM.shouldShowWording('en')}"
                                    >English</button>
                                </div>
                                <button type="button"
                                        ng-click="VM.previewCurrentWording()"
                                        title="{{'PREVIEW'|translate}}"
                                        class="btn btn-default btn-round-sm fa fa-eye"
                                        style="margin-top: 15px; margin-left: 8px;"
                                ></button>
                            </div>
                        </div>
                    </MY-INPUT-GROUP>
                </div>
                <!-- === BOTTOM PANE === -->
                <div class="columns-equals">
                    <div>
                        <MY-INPUT my-input-type="select"
                                  my-input-model="VM.question.binaria"
                                  my-input-options="o.key as o.val|translate for o in VM.correctionsOptions"
                                  my-input-label="BINARYCORR"
                                  class="nowide"
                        ></MY-INPUT>
                        <MY-INPUT my-input-type="select"
                                  my-input-model="VM.question.gabia"
                                  my-input-options="o.key as o.val|translate for o in VM.correctionsOptions"
                                  my-input-label="CELLCORR"
                                  class="nowide"
                        ></MY-INPUT>
                        <MY-INPUT-GROUP my-input-group-label="DIFFICULTY"
                                        my-input-group-label-for="input-qdiff"
                                        class="nowide"
                        >
                            <input id="input-qdiff"
                                   type="number"
                                   min="0" max="1" step="0.01"
                                   ng-model="VM.question.dificultad"
                                   class="form-control"
                            />
                        </MY-INPUT-GROUP>
                        <MY-INPUT my-input-type="text"
                                  my-input-model="VM.question.autor"
                                  my-input-label="AUTHOR"
                        ></MY-INPUT>
                    </div>
                    <div>
                        <MY-INPUT-GROUP my-input-group-label="CATEGORY"
                                        my-input-group-label-for="input-qcategoryId"
                        >
                            <select id="input-qcategoryId"
                                    ng-options="cat.id as cat.descripcio for cat in ::VM.categories"
                                    ng-model="VM.question.categoriaId"
                                    ng-change="VM.onCategoryIdChanged()"
                                    class="form-control"
                            ></select>
                        </MY-INPUT-GROUP>
                        <MY-INPUT id="thematics-selector"
                                  my-input-type="select"
                                  my-input-multiple
                                  my-input-model="VM.question.tematicasIds"
                                  my-input-options="th.nombre as th.nombre for th in VM.thematics"
                                  my-input-label="THEMATICS"
                        ></MY-INPUT>
                        <MY-INPUT my-input-type="select"
                                  my-input-model="VM.question.esquemaId"
                                  my-input-options="schema.nombre as schema.nombre for schema in ::VM.schemas"
                                  my-input-label="SCHEMA"
                        ></MY-INPUT>
                    </div>
                </div>
            </div>
        </div>
        <!-- === SQL STATEMENTS === -->
        <div id="question-sqls"
             ng-show="VM.shouldShowSection('sql')"
             class="flex flex-layout scrollable-pane"
        >
            <div class="flex card-content card-content-last padded-pane columns-equals">
                <div class="flex-layout">
                    <MY-INPUT-GROUP my-input-group-label="INITS"
                                    my-input-group-label-for="input-qinits"
                                    class="flex flex-layout"
                    >
                        <textarea id="input-qinits"
                                  ng-model="VM.question.inits"
                                  ng-readonly="VM.shouldDisableElement('inits')"
                                  class="form-control code flex"
                        ></textarea>
                    </MY-INPUT-GROUP>
                </div>
                <!-- === SOLUTION === -->
                <div class="flex-layout-v">
                    <label for="input-qsolution"
                           class="control-label"
                           translate
                    >SOLUTION</label>
                    <!-- === NON-DISABLED SOLUTION === -->
                    <div ng-show="!VM.shouldDisableElement('solution')"
                         class="flex flex-layout"
                    >
                        <div class="flex flex-layout">
                            <!-- === SOLUTION TEXT === -->
                            <div ng-show="VM.question.tiposolucionId == 1"
                                 class="flex flex-layout"
                            >
                                <MY-INPUT-GROUP ng-show="VM.question.tiposolucionId == 1"
                                                class="flex flex-layout"
                                >
                                    <textarea id="input-qsolution"
                                              ng-model="VM.question.solucion"
                                              class="form-control code flex"
                                    ></textarea>
                                </MY-INPUT-GROUP>
                            </div>
                            <!-- === SOLUTION FILE === -->
                            <div ng-show="VM.question.tiposolucionId == 2"
                                 class="flex flex-layout"
                            >
                                <!-- @todo -->
                            </div>
                            <!-- === SOLUTION URL === -->
                            <div ng-show="VM.question.tiposolucionId == 3">
                                <MY-INPUT my-input-model="VM.question.url"
                                          my-input-label="URL"
                                ></MY-INPUT>
                                <MY-INPUT my-input-model="VM.question.clave"
                                          my-input-label="Clave"
                                ></MY-INPUT>
                                <div>
                                    <label>SSL</label>
                                    <input type="checkbox"
                                           ng-model="VM.question.ssl"
                                    />
                                </div>
                            </div>
                        </div>
                        <!-- === SOLUTION TYPE SELECTOR === -->
                        <MY-INPUT my-input-type="select"
                                  my-input-model="VM.question.tiposolucionId"
                                  my-input-options="solutiontype.id as solutiontype.nombre for solutiontype in ::VM.solutiontypes"
                                  my-input-label="SOLUTIONTYPE"
                        ></MY-INPUT>
                    </div>
                    <!-- === DISABLED SOLUTION === -->
                    <div ng-show="VM.shouldDisableElement('solution')"
                         class="flex flex-layout"
                    >
                        <MY-INPUT-GROUP flex layout>
                            <textarea readonly
                                      class="form-control flex"
                            ></textarea>
                        </MY-INPUT-GROUP>
                    </div>
                </div>
                <div class="flex-layout-v">
                    <MY-INPUT-GROUP my-input-group-label="CLEANUP"
                                    my-input-group-label-for="input-qcleanup"
                                    class="flex flex-layout"
                    >
                        <textarea id="input-qcleanup"
                                  ng-model="VM.question.limpieza"
                                  ng-readonly="VM.shouldDisableElement('cleanup')"
                                  class="flex form-control code"
                        ></textarea>
                    </MY-INPUT-GROUP>
                    <MY-INPUT-GROUP my-input-group-label="POSTINITS"
                                    my-input-group-label-for="input-qpostinits"
                                    class="flex flex-layout"
                    >
                        <textarea id="input-qpostinits"
                                  ng-model="VM.question.postInits"
                                  ng-readonly="VM.shouldDisableElement('postinits')"
                                  class="flex form-control code"
                        ></textarea>
                    </MY-INPUT-GROUP>
                    <MY-INPUT my-input-type="text"
                              my-input-model="VM.question.postInitsJP"
                    ></MY-INPUT>
                </div>
            </div>
        </div>
        <!-- === TEST SETS === -->
        <div ng-show="VM.shouldShowSection('testsets')"
             class="flex card-content card-content-last flex-layout"
        >
            <QUESTION-TESTSETS class="flex flex-layout"></QUESTION-TESTSETS>
        </div>
        <!-- === WEIGHTS === -->
        <div ng-show="VM.shouldShowSection('weights')"
             class="flex scrollable-pane flex-layout"
        >
            <div class="card-content card-content-last padded-pane flex flex-layout">
                <table id="weights-table">
                    <tr><th translate>TESTSET</th><th translate>WEIGHT</th></tr>
                    <tr ng-repeat="ts in VM.question.juegosPruebas">
                        <td>{{ts.nombre}}</td>
                        <td><input type="number" min="0" max="1" step="0.05" ng-model="ts.peso" /></td>
                    </tr>
                    <tr class="total">
                        <td ng-class="{valid: VM.totalWeight == 1}" translate>SUM</td>
                        <td ng-class="{valid: VM.totalWeight == 1}">{{VM.totalWeight}}</td>
                    </tr>
                </table>
            </div>
        </div>
        <!-- === SNAPSHOT === -->
        <div ng-show="VM.shouldShowSection('snapshot') && !VM.shouldDisableElement('snapshot')"
             class="flex scrollable-pane flex-layout"
        >
            <div class="flex card-content card-content-last padded-pane flex-layout">
                <MY-INPUT-GROUP my-input-group-label="SNAPSHOT"
                                my-input-group-label-for="input-qsnapshot"
                                class="flex flex-layout"
                >
                    <textarea id="input-qsnapshot"
                              ng-model="VM.question.sql_dbstatus"
                              class="form-control code flex"
                    ></textarea>
                </MY-INPUT-GROUP>
            </div>
        </div>
    </form>
</div>